/* CocoaZonicController */

#import <Cocoa/Cocoa.h>
#import <Carbon/Carbon.h>

@interface CocoaZonicController : NSObject
{
	// Keep track of the Carbon Event handler while 
	// Zonic is running. We only listen for events during
	// the brief period of time the integrated purchase 
	// is taking place.
	EventHandlerRef	mKRMEventHandler;
}

- (IBAction)startIntegratedModelessPurchase:(id)sender;
- (IBAction)startIntegratedModalPurchase:(id)sender;

@end

